<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <import type="android.view.View" />

        <variable
            name="viewModel"
            type="com.ttnfleetsolutions.ttnfleet.ui.fleet.services.note.AddNoteViewModel" />
    </data>

    <android.support.design.widget.CoordinatorLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <android.support.v4.widget.NestedScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <android.support.constraint.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:padding="@dimen/content_margin">

                <EditText
                    android:id="@+id/noteEditText"
                    style="@style/TextAppearance.AppCompat.Small"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="@dimen/content_margin"
                    android:fontFamily="@font/regular"
                    android:gravity="top"
                    android:hint="@string/add_note_here"
                    android:lines="5"
                    android:paddingStart="@dimen/content_margin"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent" />

            </android.support.constraint.ConstraintLayout>
        </android.support.v4.widget.NestedScrollView>

        <android.support.v4.widget.ContentLoadingProgressBar
            android:id="@+id/progressBar"
            style="?android:attr/progressBarStyleLarge"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:background="@drawable/bg_round_corner_filled"
            android:backgroundTint="@color/gray_normal"
            android:indeterminateTint="@android:color/white"
            android:padding="@dimen/activity_horizontal_margin"
            android:visibility="@{viewModel.isLoading ? View.VISIBLE : View.GONE}" />
    </android.support.design.widget.CoordinatorLayout>
</layout>